summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Weber <michael@xmw.de>2018-02-12 21:42:24 +0100
committerMichael Weber <michael@xmw.de>2018-02-12 21:42:24 +0100
commitf2ba99dbd2fc87a59df6d83e14e12df1d52973c8 (patch)
treef5f00c015c9fdc2ec0de80b7c18a701ae3320dca
parentnew license: cevelop-bin (diff)
downloadxmw-f2ba99dbd2fc87a59df6d83e14e12df1d52973c8.tar.gz
xmw-f2ba99dbd2fc87a59df6d83e14e12df1d52973c8.tar.bz2
xmw-f2ba99dbd2fc87a59df6d83e14e12df1d52973c8.zip
dev-util/cevelop-bin: initial import
Package-Manager: Portage-2.3.24, Repoman-2.3.6 Manifest-Sign-Key: 0x71D573A82F434065
-rw-r--r--dev-util/cevelop-bin/Manifest21
-rw-r--r--dev-util/cevelop-bin/cevelop-bin-1.9.0_p201802051526.ebuild47
-rw-r--r--dev-util/cevelop-bin/metadata.xml8
3 files changed, 76 insertions, 0 deletions
diff --git a/dev-util/cevelop-bin/Manifest b/dev-util/cevelop-bin/Manifest
new file mode 100644
index 0000000..6bd5a34
--- /dev/null
+++ b/dev-util/cevelop-bin/Manifest
@@ -0,0 +1,21 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
+DIST cevelop-1.9.0-201802051526-linux.gtk.x86.tar.gz 139895498 BLAKE2B 6271d173bb8e6f253f1b337502dae1813aaa4f17e8b1919a33a7eee603f14cf8996c2e1d6e1034a328a8abaaf7d7dc7c4bac6f5eef9ba3e352a5415453c21500 SHA512 e663c1526c085fc2fe45bc91e62bd075c09994a0ec7ed9551c2a30d49d6c09af0ac9ccda42447ddaec66c7a40bc8e2e612ac7339652510d52d2ce7e725eeb8ef
+DIST cevelop-1.9.0-201802051526-linux.gtk.x86_64.tar.gz 140006477 BLAKE2B 9511de45a0e12350686938bd5879682d935bd3247cc81e2ed3fd00e4fc6fe5ec10833865911d6045c1f84c01d9b84e636be6352ee03e0bb0627a87dde81c0479 SHA512 0367096ecaa1879a5f6943c79ac2717566994dceef8989e661bd0157a6ddcff6655e2e5f4802a5e4eddff1e833c0ea7afebb7f4935e1e9bbac9c82899875473b
+-----BEGIN PGP SIGNATURE-----
+
+iQIzBAEBCAAdFiEEEAjB929r4Z21VDwpcdVzqC9DQGUFAlqB/C0ACgkQcdVzqC9D
+QGVYWhAAhm9P3WNCIN9sgiyh21SNqCW/H7P1gLEJqJ88y7lhh4/56hgKohlO4gHh
+JS3et03I0M2D1C05cy2bPbwCLZkj4jQ1oJX22dBWuRtHn7XxqGoEpJLsT6+MuYPc
+Tq3ac+vBTcHxQI/QaPPPrMoam/8wGCZuxuJ45BlI+dfu7GeeVLnuPOqunT9v0JOG
+EVR1qf2eWjkY0eiutjfhtUwBbssg+UicBspA3bcA6v0RYpckKbCEJLZ1JwgYTkTv
+SuQ8nxVHzwefoAjbDZuGTDqS6O7jZ5z9bLi1L0mseeUTJLeD3GvrNAVERAexxwFe
+yvTa0DFbzl8suxpq/nBGvyQfmOtez4T95k2I+plGeoV8egHEPqTQJQxdDFh27gC9
+dbS1P+2PKoQ5ZOvh3hFE7xcrR1IuvBTYlY3tWQMabd8Hy4E67uq0SK/Pmd+W/vDQ
+H7tbUpbTOp/yqfxfAGfppxS9elq2AgTnniiPJyScz5JYW3NbhwfsQvGJ3vE2rSVn
+EyIDXysiRGhSUpseFL7v8y7/YUKd75VaaSkI2lvhInELKRmxbrN0aOXYGWg1r+wK
+Qp596b+PI59bsdaIOlFDqz/Twh8TlAzvQi6RrA0DDJMsbF8D+EUaOSVAorqE21yW
+zIUhzi+BfLDWmF6N/YuGWYNnBLutyIsC/fdU8QP9jun98wMOsAE=
+=g44i
+-----END PGP SIGNATURE-----
diff --git a/dev-util/cevelop-bin/cevelop-bin-1.9.0_p201802051526.ebuild b/dev-util/cevelop-bin/cevelop-bin-1.9.0_p201802051526.ebuild
new file mode 100644
index 0000000..7a98c28
--- /dev/null
+++ b/dev-util/cevelop-bin/cevelop-bin-1.9.0_p201802051526.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit desktop eutils versionator xdg
+
+DESCRIPTION="C++ IDE for professional developers"
+HOMEPAGE="https://cevelop.com"
+SRC_URI="amd64? ( https://cevelop.com/${PN/-bin}/downloads/${PN/-bin}-${PV/_p/-}-linux.gtk.x86_64.tar.gz )
+ x86? ( https://cevelop.com/${PN/-bin}/downloads/${PN/-bin}-${PV/_p/-}-linux.gtk.x86.tar.gz )"
+
+LICENSE="${PN}"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="virtual/jre"
+DEPEND=""
+
+S=${WORKDIR}/${PN/-bin}-$(get_version_component_range 1-3)
+
+src_prepare() {
+ default
+
+ sed -e "/Icon/s/icon/${PN/-bin}/" \
+ -i ${PN/-bin}.desktop
+}
+
+src_install() {
+ insinto /opt/${PN}
+ doins artifacts.xml cevelop.ini .eclipseproduct
+ doins -r configuration features p2 plugins
+ insopts -m 0755
+ doins runner
+
+ make_wrapper ${PN} /opt/${PN}/runner
+
+ sed -e '2iexport CEVELOP_INTRO=false' \
+ -e '2i#export SWT_GTK3=0' \
+ -i "${D}"/usr/bin/${PN} || die
+
+ dodoc notice.html readme/*
+
+ make_desktop_entry ${PN}
+ newicon icon.xpm ${PN}.xpm
+}
diff --git a/dev-util/cevelop-bin/metadata.xml b/dev-util/cevelop-bin/metadata.xml
new file mode 100644
index 0000000..a535b88
--- /dev/null
+++ b/dev-util/cevelop-bin/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="person">
+<email>xmw@gentoo.org</email>
+<name>Michael Weber</name>
+</maintainer>
+</pkgmetadata>